part of 'customer_point_loader_bloc.dart';

@freezed
class CustomerPointLoaderState with _$CustomerPointLoaderState {
  const factory CustomerPointLoaderState({
    required CustomerPoint customerPoint,
    required Option<CustomerFailure> failureOptionCustomerPoint,
    @Default(false) bool isFetching,
  }) = _CustomerPointLoaderState;

  factory CustomerPointLoaderState.initial() => CustomerPointLoaderState(
    customerPoint: CustomerPoint.empty(),
    failureOptionCustomerPoint: none(),
  );
}
